petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSNESCheckDiscretization

Check the discretization error of the exact solution

### Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMSNESCheckDiscretization(SNES snes, DM dm, Vec u, PetscErrorCode (**exactFuncs)(PetscInt, PetscReal, const PetscReal x[], PetscInt, PetscScalar *u, void *ctx), void **ctxs, PetscReal tol, PetscReal error[])

### Input Parameters

| snes | - the SNES object
| dm | - the DM
| u | - a DM vector
| exactFuncs | - pointwise functions of the exact solution for each field
| ctxs | - contexts for the functions
| tol | - A tolerance for the check, or -1 to print the results instead

### Output Parameters

| error | - An array which holds the discretization error in each field, or NULL

### See Also

DNSNESCheckFromOptions(), DMSNESCheckResidual(), DMSNESCheckJacobian()

### Level

developer

### Location

src/snes/utils/dmplexsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages